
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int *liner_interpolation(int start, int end, int count);

int main()
{
	int i, j, *ret[3];

	ret[0] = liner_interpolation(0, 10, 10);
	ret[1] = liner_interpolation(100, 0, 10);
	ret[2] = liner_interpolation(-10, 10, 10);

	for(i = 0; i < 3; i++) {
		for(j = 0; j < 10; j++)
			printf("%d, ", ret[i][j]);
		printf("\n");
	}

	free(ret[1]);
	free(ret[2]);
	free(ret[3]);

	return 0;
}

int *liner_interpolation(int start, int end, int count) {
	int i, *ret;

	ret = (int *)malloc(sizeof(int) * count);

	for(i = 0; i < count; i++)
		ret[i] = start + (double)(end - start) * i / (count - 1);

	return ret;
}

